CREATE DATABASE `surveys`;

USE `surveys`;

CREATE TABLE `questions` (
	`qid` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	`subject` VARCHAR( 75 ) NULL ,
	`question` TEXT NULL ,
	`date` DATETIME NULL ,
	`show` TINYINT( 1 ) NOT NULL DEFAULT '0'
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;

CREATE TABLE `responses` (
	`rid` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	`qid` INT NULL ,
	`response` TEXT NULL ,
	`votes` BIGINT NOT NULL DEFAULT '0'
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;

CREATE TABLE `voters` (
	`vid` BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	`qid` INT NULL ,
	`ip` VARCHAR( 15 ) NULL
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;

INSERT INTO `surveys`.`questions` (
	`qid` , `question` , `date` , `show` 
) VALUES (
	NULL , 'Surveys are a fun and interactive way to get feedback from your website users.', NOW( ) , '1'
);

INSERT INTO `surveys`.`responses` (
	`rid` , `qid` , `response` , `votes`
) VALUES (
	NULL , '1', 'Fully agree', '0'
);

INSERT INTO `surveys`.`responses` (
	`rid` , `qid` , `response` , `votes`
) VALUES (
	NULL , '1', 'Kind of agree', '0'
);

INSERT INTO `surveys`.`responses` (
	`rid` , `qid` , `response` , `votes`
) VALUES (
	NULL , '1', 'Don not agree', '0'
);